%width-1{
    width: 8.3333%;
}
%width-2{
    width: 16.6667%;
}
%width-3{
    width: 25%;
}
%width-4{
    width: 33.3333%;
}
%width-5{
    width: 41.6667%;
}
%width-6{
    width: 50%;
}
%width-7{
    width: 58.3333%;
}
%width-8{
    width: 66.6667%;
}
%width-9{
    width: 75%;
}
%width-10{
    width: 83.3333%;
}
%width-11{
    width: 91.6667%;
}
%width-12{
    width: 100%;
}

%center-flex-align-items {
    display: flex;
    align-items: center;
}

%center-flex, .center-flex {
    @extend %center-flex-align-items;
    justify-content: center;
}

%full-center-flex{
    width: 100%;
    height: 100%;
    @extend %center-flex;
}

%betwen-flex {
    display: flex;
    justify-content: space-between;
}

%betwen-flex-center{
    align-items: center;
    @extend %betwen-flex;
}

%betwen-flex-column{
    flex-direction: column;
    @extend %betwen-flex;
}

%evenly-flex{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

%around-flex{
    display: flex;
    justify-content: space-around;
    align-items: center;
}

%center-flex-row{
    @extend %center-flex;
    flex-direction: row;
}
%center-flex-column{
    @extend %center-flex;
    flex-direction: column;
}

%center-flex-column-relative{
    @extend %center-flex-column;
    position: relative;
}

%center-flex-column-initial{
    @extend %center-flex-column;
    position: initial;
}

%center-end-flex-row-reverse{
    @extend %center-flex-align-items;
    justify-content: end;
    flex-direction: row-reverse;
}

%absolute-full-display{
    position: absolute;    
    width: 100%;
    height: 100%;
}

%absolute-top-full-display{
    top: 0;
    @extend %absolute-full-display;
}

%absolute-top-left-full-display{
    left: 0;
    @extend %absolute-top-full-display;
}

%absolute-bottom-full-display{
    bottom: 0;
    @extend %absolute-full-display;
}

%absolute-bottom-left-full-display{
    left: 0;
    @extend %absolute-bottom-full-display;
}

%fixed-full-display{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

%content-top-left-display{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
}

%content-top-right-display{
    content: "";
    position: absolute;
    top: 0;
    right: 0;
}

%content-full-display{
    content: "";
    @extend %absolute-full-display;
}

%content-top-left-full-display{
    content: "";
    @extend %absolute-top-left-full-display;
}

%content-bottom-left-full-display{
    content: "";
    @extend %absolute-bottom-left-full-display;
}

%display-none {
    display: none;
}

%border-layout {
    position: absolute;
    width: 10px;
    height: 10px;
}